Main Page Class Hierarchy Compound List File List Compound Members File Members

# Apattern Class Reference

`#include <pattern.h>`

Inheritance diagram for Apattern::

List of all members.

## Public Methods
ELIBOBJ EDLL | Apattern (char *name, Aobject *l, class Atable *t, int x, int y, int w, int h)
virtual EDLL | ~Apattern ()
virtual EDLL void | paint (Abitmap *)
virtual EDLL bool | notify (Anode *o, int event, dword p=0)
virtual EDLL bool | mouse (int x, int y, int state, int event)
EDLL bool | save (Afile *f)
EDLL bool | load (Afile *f)
EDLL bool | action (int time, int dtime)
EDLL class Atrack * | addTrack (class Acontrol *control)
EDLL void | delTrack (class Acontrol *control)
EDLL void | delTrackEffect (class Aeffect *e)
void | calcTrackZone ()
EDLL void | record (class Acontrol *control, int ctrl, int value, int time)
## Public Attributes
int | wy
int | ly
bool | bac
Atable * | table
Atrack * | tracks [MAXTRACK]
int | nbtracks
Asection | section
Aevent * | efirst
Aevent * | elast
Aevent * | ecur

## Constructor & Destructor Documentation

ELIBOBJ EDLL Apattern::Apattern | ( | char * | name,
|  | Aobject * | l,
|  | class Atable * | t,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

virtual EDLL Apattern::~Apattern | ( |  | ) | `[virtual]`

## Member Function Documentation

EDLL bool Apattern::action | ( | int | time,
|  | int | dtime
| ) |

EDLL class Atrack* Apattern::addTrack | ( | class Acontrol * | control | ) |

void Apattern::calcTrackZone | ( |  | ) |

EDLL void Apattern::delTrack | ( | class Acontrol * | control | ) |

EDLL void Apattern::delTrackEffect | ( | class Aeffect * | e | ) |

EDLL bool Apattern::load | ( | Afile * | f | ) |

virtual EDLL bool Apattern::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual EDLL bool Apattern::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p = 0
| ) | `[virtual]`

| Reimplemented from Anode.

virtual EDLL void Apattern::paint | ( | Abitmap * | b | ) | `[virtual]`

| Reimplemented from Aobject.

EDLL void Apattern::record | ( | class Acontrol * | control,
|  | int | ctrl,
|  | int | value,
|  | int | time
| ) |

EDLL bool Apattern::save | ( | Afile * | f | ) |

## Member Data Documentation

bool Apattern::bac

class Aevent* Apattern::ecur

class Aevent* Apattern::efirst

class Aevent* Apattern::elast

int Apattern::ly

int Apattern::nbtracks

Asection Apattern::section

class Atable* Apattern::table

class Atrack* Apattern::tracks[MAXTRACK]

int Apattern::wy

The documentation for this class was generated from the following file:

- pattern.h